/etc/rsyslog.d/nginx.conf :

$ModLoad imfile

$InputFileName          /var/log/nginx/nginx_access.log
$InputFileTag           nginx_access_log:
$InputFileStateFile     nginx_access_log
$InputFileSeverity      info
$InputFileFacility      user
$InputRunFileMonitor

$InputFileName          /var/log/nginx/nginx_error.log
$InputFileTag           nginx_error_log:
$InputFileStateFile     nginx_error_log
$InputFileSeverity      info
$InputFileFacility      user
$InputRunFileMonitor

$InputFileName          /var/log/nginx/access.log
$InputFileTag           nginx_access_log:
$InputFileStateFile     nginx_access_log
$InputFileSeverity      info
$InputFileFacility      user
$InputRunFileMonitor

$InputFileName          /var/log/nginx/error.log
$InputFileTag           nginx_error_log:
$InputFileStateFile     nginx_error_log
$InputFileSeverity      info
$InputFileFacility      user
$InputRunFileMonitor

$InputFileName          /var/log/nginx/ppr-www.eco-mobilier.fr_access.log
$InputFileTag           nginx_access_log:
$InputFileStateFile     nginx_access_log
$InputFileSeverity      info
$InputFileFacility      user
$InputRunFileMonitor

$InputFileName          /var/log/nginx/ppr-www.eco-mobilier.fr_error.log
$InputFileTag           nginx_error_log:
$InputFileStateFile     nginx_error_log
$InputFileSeverity      info
$InputFileFacility      user
$InputRunFileMonitor


if $syslogtag == 'nginx_access_log:' then @@172.25.11.99
if $syslogtag == 'nginx_error_log:' then @@172.25.11.99

:syslogtag, contains, "nginx" ~

######################################################################################
######################################################################################

/etc/rsyslog.d/mysql.conf



$ModLoad imfile

$InputFileName          /var/log/mysql/error.log
$InputFileTag           mysql_error_log:
$InputFileStateFile     mysql_error_log
$InputFileSeverity      info
$InputFileFacility      user
$InputRunFileMonitor

$InputFileName          /var/log/mysql/slowquery.log
$InputFileTag           mysql_slowquery_log:
$InputFileStateFile     mysql_slowquery_log
$InputFileSeverity      info
$InputFileFacility      user
$InputRunFileMonitor

if $syslogtag == 'mysql_error_log:' then @@172.25.11.99
if $syslogtag == 'mysql_slowquery_log:' then @@172.25.11.99

:syslogtag, contains, "mysql" ~

######################################################################################
######################################################################################

/etc/rsyslog.d/php.conf

if $programname == 'php' then @@172.25.11.99
if $programname == 'php' then /var/log/php/error.log
if $programname == 'php' then ~


